%define major 7
%define libname %mklibname jpeg %{major}
%define develname %mklibname -d jpeg
%define staticname %mklibname -s -d jpeg

Summary:	A library for manipulating JPEG image format files
Name:		libjpeg
Version:	7
Release:	%mkrel 5
License:	GPL-like
Group:		System/Libraries
URL:		http://www.ijg.org/
Source0:	ftp://ftp.uu.net/graphics/jpeg/jpegsrc.v7.tar.gz
# Modified source files for lossless cropping of JPEG files and for
# lossless pasting of one JPEG into another (dropping). In addition a
# bug in the treatment of EXIF data is solved and the EXIF data is
# adjusted according to size/dimension changes caused by rotating and
# cropping operations
Source1:	http://jpegclub.org/droppatch.tar.bz2
# These two allow automatic lossless rotation of JPEG images from a digital
# camera which have orientation markings in the EXIF data. After rotation
# the orientation markings are reset to avoid duplicate rotation when
# applying these programs again.
Source2:	http://jpegclub.org/jpegexiforient.c
Source3:	http://jpegclub.org/exifautotran.txt
Patch0:		jpeg-6b-c++fixes.patch
Patch1:		jpeg-7-missing_arithmetic_functions.diff
BuildRequires:	libtool
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The libjpeg package contains a shared library of functions for loading,
manipulating and saving JPEG format image files.

Install the libjpeg package if you need to manipulate JPEG files. You
should also install the jpeg-progs package.

%package -n	%{libname}
Summary:	A library for manipulating JPEG image format files
Group:		System/Libraries
Obsoletes:	%{name}
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with libjpeg.

%package -n	%{develname}
Summary:	Development tools for programs which will use the libjpeg library
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	jpeg-devel = %{version}-%{release}
Provides:	jpeg%{major}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel < %{version}-%{release}
Conflicts:	jpeg6-devel
Obsoletes:	%{mklibname jpeg 62 -d} < 6b-45
Obsoletes:	%{mklibname jpeg 7 -d} < 7-3

%description -n	%{develname}
The libjpeg-devel package includes the header files necessary for 
developing programs which will manipulate JPEG files using
the libjpeg library.

If you are going to develop programs which will manipulate JPEG images,
you should install libjpeg-devel.  You'll also need to have the libjpeg
package installed.

%package -n	%{staticname}
Summary:	Static libraries for programs which will use the libjpeg library
Group:		Development/C
Requires:	%{develname} = %{version}-%{release}
Provides:	%{name}-static-devel = %{version}-%{release}
Provides:	jpeg-static-devel = %{version}-%{release}
Provides:	jpeg%{major}-static-devel = %{version}-%{release}
Conflicts:	jpeg6-static-devel
Obsoletes:	%{mklibname jpeg 62 -d -s} < 6b-45
Obsoletes:	%{mklibname jpeg 7 -d -s} < 7-3

%description -n	%{staticname}
The libjpeg-devel package includes the static librariesnecessary for 
developing programs which will manipulate JPEG files using
the libjpeg library.

If you are going to develop programs which will manipulate JPEG images,
you should install libjpeg-devel.  You'll also need to have the libjpeg
package installed.

%package -n	jpeg-progs
Summary:	Programs for manipulating JPEG format image files
Group:		Graphics
Requires:	%{libname} = %{version}-%{release}
Provides:	jpeg-progs = %{version}-%{release}
Provides:	libjpeg-progs = %{version}-%{release}
Obsoletes:	libjpeg-progs

%description -n	jpeg-progs
The jpeg-progs package contains simple client programs for accessing 
the libjpeg functions.  Libjpeg client programs include cjpeg, djpeg, 
jpegtran, rdjpgcom and wrjpgcom.  Cjpeg compresses an image file into JPEG
format. Djpeg decompresses a JPEG file into a regular image file.  Jpegtran
can perform various useful transformations on JPEG files.  Rdjpgcom displays
any text comments included in a JPEG file.  Wrjpgcom inserts text
comments into a JPEG file.

%prep

%setup -q -n jpeg-7 -a1
rm -f jpegtran
%patch0 -p0
%patch1 -p0

cp %{SOURCE2} jpegexiforient.c
cp %{SOURCE3} exifautotran

%build
%configure2_5x \
    --disable-silent-rules \
    --enable-shared \
    --enable-static

%make

gcc %{optflags} -o jpegexiforient jpegexiforient.c

LD_PRELOAD=$PWD/.libs/%{name}.so make test

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/{%{_bindir},%{_libdir},%{_includedir},%{_mandir}/man1}

#(neoclust) Provide jpegint.h because it is needed softwares
cp jpegint.h %{buildroot}%{_includedir}/jpegint.h

%makeinstall mandir=%{buildroot}%{_mandir}

install -m 755 jpegexiforient %{buildroot}%{_bindir}
install -m 755 exifautotran %{buildroot}%{_bindir}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc README change.log coderules.txt filelist.txt install.txt jconfig.txt libjpeg.txt structure.txt usage.txt wizard.txt
%{_libdir}/libjpeg.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc example.c
%{_libdir}/*.so
%{_includedir}/*.h
%{_libdir}/*.la

%files -n %{staticname}
%defattr(-,root,root)
%{_libdir}/*.a

%files -n jpeg-progs
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Mon Sep 07 2009 Oden Eriksson <oeriksson@mandriva.com> 7-5mdv2010.0
+ Revision: 432437
- fix #53474 (Manpages for jpeg-tools are not found)

* Fri Aug 21 2009 Funda Wang <fundawang@mandriva.org> 7-4mdv2010.0
+ Revision: 418808
- do not obsoletes it self

* Thu Aug 20 2009 Anssi Hannula <anssi@mandriva.org> 7-3mdv2010.0
+ Revision: 418607
- remove major from devel package names as per policy
- adapt conflicts with jpeg6-devel for biarch
- obsolete the old devel packages, so that upgrading users automatically
  get this version, while still allowing them to install libjpeg62-devel
  from contrib by explicitely requesting it

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 7-1mdv2010.0
+ Revision: 416493
- 7
- nuked some redundant patches
- rediffed some patches
- fix deps
- fix build (P1)

* Thu Dec 18 2008 Oden Eriksson <oeriksson@mandriva.com> 6b-44mdv2009.1
+ Revision: 315574
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 6b-43mdv2009.0
+ Revision: 222898
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jan 13 2008 Thierry Vignaud <tvignaud@mandriva.com> 6b-42mdv2008.1
+ Revision: 150699
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Mon Dec 11 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 6b-41mdv2007.0
+ Revision: 95114
- Add guards for C++ code (e.g. OpenVRML)

  + Oden Eriksson <oeriksson@mandriva.com>
    - bzip2 cleanup
    - rebuild
    - bunzip patches and sources
    - Import libjpeg

* Wed Jan 11 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 6b-39mdk
- add BuildRequires: libtool

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 6b-38mdk
- Rebuild

* Thu Jul 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 6b-37mdk
- Fix error pointed out by Per yvind Karlsen and couriousous

* Thu Jul 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 6b-36mdk
- Clean My mess

* Thu Jul 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 6b-35mdk
- Provide jpegint.h because it is needed softwares

* Fri Feb 18 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 6b-34mdk
- Rename 'libjpeg-progs' to 'jpeg-progs'

* Tue Dec 16 2003 Till Kamppeter <till@mandrakesoft.com> 6b-33mdk
- Updated patch for lossless cropping and pasting to the newest version,
  it contains also the EXIF fixes shown on 
  http://jpegclub.org/exifpatch.html
- Added orientation utilities from http://jpegclub.org/exif_orientation.html

